<!DOCTYPE html>
<html>
    <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <title>{% block title %}Los Pollos Ermanos{% endblock %}</title>
      <link rel="stylesheet" type="text/css" href="{{asset('semantic/semantic.min.css')}}">
      <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
      <script src="{{asset('semantic/semantic.min.js')}}"></script>
      <link href="{{asset('bower_components/air-datepicker/dist/css/datepicker.min.css')}}" rel="stylesheet" type="text/css">
      <script src="{{asset('bower_components/air-datepicker/dist/js/datepicker.min.js')}}"></script>

      <!-- Include Italian language -->
      <script src="{{asset('bower_components/air-datepicker/dist/js/i18n/datepicker.it.js')}}"></script>

      {% block stylesheets %}
        <link rel="stylesheet" href="{{asset('css/generalStyle.css')}}" />
      {% endblock %}
    </head>

    <body>

      {% if app.request.get('_route') == 'admin_ristorante_dettagli' or  app.request.get('_route') == 'user_ristorante_dettagli' %}
      <div class="ui left demo vertical inverted sidebar labeled icon menu">
        {% if app.request.get('_route') == 'admin_ristorante_dettagli' %}
          <a href="{{path('admin_ristoranti_lista')}}" class="item">
            <i class="food icon"></i>
            Ristoranti
          </a>
          <a href="{{path('admin_menu', { 'id': ristorante.id })}}" class="item">
            <i class="leanpub icon"></i>
            Menu
          </a>
        {% else %}
          <a href="{{path('user_ristoranti_lista')}}" class="item">
            <i class="food icon"></i>
            Ristoranti
          </a>
          <a href="{{path('user_menu', { 'id': ristorante.id })}}" class="item">
            <i class="leanpub icon"></i>
            Menu
          </a>
        {% endif %}
        {% if app.request.get('_route') == 'admin_ristorante_dettagli' %}
          <a href="{{ path('admin_ristorante_magazzino', {'id' : ristorante.id})}}" class="item">
            <i class="cubes icon"></i>
            Magazzino
          </a>
          <a href="{{ path('admin_richiesta_fornitura', { 'id': ristorante.id }) }}" class="item">
            <i class="cart icon"></i>
            Richiedi fornitura
          </a>
          <a href="{{ path('admin_ristorante_orari', { 'id': ristorante.id }) }}" class="item">
            <i class="calendar icon"></i>
            Orari
          </a>
          <a href="{{ path('admin_ristorante_personale', {'id' : ristorante.id})}}" class="item">
            <i class="users icon"></i>
            Gestisci il personale
          </a>
          <a href="{{ path('admin_ristorante_tavoli', {'id' : ristorante.id})}}" class="item">
            <i class="sitemap icon"></i>
            Gestisci i tavoli
          </a>
          <a href="{{ path('admin_ristorante_tariffario', {'id' : ristorante.id})}}" class="item">
            <i class="shipping icon"></i>
            Tariffario asporto
          </a>
        {% else %}
          <a href="{{ path('user_ristorante_prenotazione', {'id' : ristorante.id})}}" class="item">
            <i class="add to calendar icon"></i>
            Prenota
          </a>
        {% endif %}
      </div>
      {% endif %}

      {% if app.request.get('_route') == 'homepage' %}
        <div class="pusher">
      {% else %}
        <div class="pusher" style="background-color: #e6e6e6">
      {% endif %}

          <div class="ui container" style="margin: 1% !important; width: 95%">

            {% for flash in app.session.flashbag.get("success") %}
              <div class="ui positive message" style="max-width: 98%">
                <i class="close icon"></i>
                {{flash}}
              </div>
            {% endfor %}

            {% for flash in app.session.flashbag.get("notice") %}
              <div class="ui yellow message" style="max-width: 98%">
                <i class="close icon"></i>
                {{flash}}
              </div>
            {% endfor %}

            {% for flash in app.session.flashbag.get("error") %}
              <div class="ui error message" style="max-width: 98%">
                <i class="close icon"></i>
                {{flash}}
              </div>
            {% endfor %}

            {% block content %}


            {% endblock %}

            {% if app.user %}
              {% if 'admin' in app.request.get('_route') == false and app.request.get('_route') != 'homepage' %}
                <div id="user-icon" class="ui icon button"><i class="user icon"></i></div>
                <div class="ui special popup">
                  {% if 'fornitore' in app.request.get('_route') %}
                    <div class="header">{{ app.user.fornitore.nomeAzienda }}</div>
                  {% else %}
                    <div class="header">{{ app.user.cliente.nome }} {{ app.user.cliente.cognome }}</div>
                  {% endif %}
                  <div class="ui divider"></div>
                  <a href="{{path('fos_user_security_logout')}}"><div class="ui vertical animated button" tabindex="0" style="width: 100%">
                    <div class="hidden content"><i class="sign out icon"></i></div>
                    <div class="visible content">Esci</div>
                  </div></a>
                </div>
              {% endif %}
            {% endif %}

          </div>

          <script src="{{asset('js/generalScript.js')}}"></script>
          <script src="{{asset('js/ristorantiScript.js')}}"></script>
          <script src="{{asset('js/prenotazioniScript.js')}}"></script>
          <script src="{{asset('js/fornitoreScript.js')}}"></script>
          <script src="{{asset('js/fornitureScript.js')}}"></script>
          <script src="{{asset('js/homeScript.js')}}"></script>
          <script src="{{asset('js/magazzinoScript.js')}}"></script>
          <script src="{{asset('js/ristoranteDettagliScript.js')}}"></script>
          <script src="{{asset('js/orariScript.js')}}"></script>
          <script src="{{asset('js/prodottiScript.js')}}"></script>
          <script src="{{asset('js/tavoliScript.js')}}"></script>
          <script src="{{asset('js/menuScript.js')}}"></script>
          <script src="{{asset('js/tariffarioScript.js')}}"></script>
          <script src="{{asset('js/personaleScript.js')}}"></script>
          <script src="{{asset('js/ordiniScript.js')}}"></script>

        {% block javascripts %}

        {% endblock %}

        <div id="snackbar"></div>

      </div>

    </body>

</html>
